javax.jnlp

## Interface DownloadServiceListener

    public interface DownloadServiceListener

### Method Summary

Methods
`void` `downloadFailed(java.net.URL url, java.lang.String version)`
`void` `progress(java.net.URL url, java.lang.String version, long readSoFar, long total, int overallPercent)`
`void` `upgradingArchive(java.net.URL url, java.lang.String version, int patchPercent, int overallPercent)`
`void` `validating(java.net.URL url, java.lang.String version, long entry, long total, int overallPercent)`

### Method Detail

#### progress

    void progress(java.net.URL url,
                java.lang.String version,
                long readSoFar,
                long total,
                int overallPercent)

#### validating

    void validating(java.net.URL url,
                  java.lang.String version,
                  long entry,
                  long total,
                  int overallPercent)

#### upgradingArchive

    void upgradingArchive(java.net.URL url,
                        java.lang.String version,
                        int patchPercent,
                        int overallPercent)

#### downloadFailed

    void downloadFailed(java.net.URL url,
                      java.lang.String version)